* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    width: 100%;
    height: 100%;
    scroll-behavior: smooth;
}

body {
    position: relative;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

header {
    position: fixed;
    top: 0;
    width: 100%;
}


nav {
    width: 100%;
    height: 80px;
    background: #fff;
    top: 0;
    border-bottom: solid 1px transparent;
    box-shadow: 1px 1px 10px 0 rgb(0, 0, 0);
    transition: ease-in-out 0.5s;
}

p {
    margin-bottom: 1em;
}

#top {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
    background-color: #333;
}


#logo {
    position: relative;
    height: 80px;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: block;
    align-self: auto;
}

#logo img {
    height: 100%;
}

#pageTitle {
    position: relative;
    line-height: 80px;
    display: block;
    align-self: auto;
}

#navBar {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #333;
}

#navBar li {
    float: left;
}

#navBar li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
}

#navBar li a:hover {
    background-color: #111;
}

h1 {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 70px;
    color: dimgrey;
}

h2 {
    font-size: 50px;
    color: #444;
}

h3 {
    font-size: 30px;
}


#games {
    padding-top: 215px;
}

#about, #contact  {
    padding-top: 80px;
}

#games, #about, #contact {
    margin-top: -80px;
    width: 90%;
    margin: auto;
}

.title {
    padding: 0px 10px 2px 10px;
    border-bottom: solid 1px;
}

.gameFeatures ul {
    list-style-position: inside;
    padding-left: 15px;
}

.gameLinks {
    margin-top: 15px;
    text-align: center;
}

.gameLinks a {
    padding: 5px 15px 5px 15px;
    text-decoration: none;
}

.gameScreenshots {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: flex-start;
}

.gameScreenshots li {
    list-style: none;
    display: block;
}

.gameScreenshots img {
    padding: 5px;
    transition: transform .2s;
}

.gameScreenshots img:hover {
    -ms-transform: scale(2); /* IE 9 */
    -webkit-transform: scale(2); /* Safari 3-8 */
    transform: scale(2);
}

#imgAbout, #imgContact {
    width: 50%;
}

#imgAbout img, #imgContact img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

#textContact {
    margin-top: 25px;
}

#textContact a {
    padding: 5px 0px 5px 15px;
    text-decoration: none;
    color: black;
    font-size: 30px;
}

footer {
    text-align: center;
}

@media screen and (min-width: 480px) {

    #top {
        flex-direction: row;
    }

    #navBar {
        margin-left: 30px;
    }

    #navBar li a {
	font-size: 25px;
    }

    #gameList {
        padding: 25px 50px 25px 50px;
    }

    #games {
        padding-top: 80px;
    }

    .game {
        display: flex;
        justify-content: space-between;
        align-content: center;
        margin-bottom: 40px;
    }

    .gameDesc {
        width: 40%;
    }

    .gameScreenshots {
        width: 60%;
    }

    #dataAbout, #dataContact {
        display: flex;
        padding: 25px 50px 25px 50px;
    }

    #textAbout, #textContact {
        width: 50%;
    }
}
